# Interface JmolScriptEditorInterface

All Superinterfaces:
  `JmolDropEditor`

All Known Implementing Classes:
  `ScriptEditor`

public interface JmolScriptEditorInterface extends JmolDropEditor

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
`boolean`
`isVisible()`
`void`
`notify(int msWalltime, Object[] data)`
`void`
`notifyContext(ScriptContext property, Object[] data)`
`void`
`setVisible(boolean b)`
`void`
`show(String[] fileText)`

### Methods inherited from interface JmolDropEditor

`loadContent, loadFile`

## Method Details

### setVisible

void setVisible(boolean b)

### dispose

void dispose()

### isVisible

boolean isVisible()

### notifyContext

void notifyContext(ScriptContext property, Object[] data)

### show

void show(String[] fileText)

### notify

void notify(int msWalltime, Object[] data)